# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/AztecOO clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "AztecOO requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/AztecOO build
## ---------------------------------------------------------------------------

set(AztecOO_CXX_COMPILER "/opt/arm-linux-gnueabihf/arm-linux-gnueabihf/sys-root/usr/local/bin/mpicxx")

set(AztecOO_C_COMPILER "/opt/arm-linux-gnueabihf/arm-linux-gnueabihf/sys-root/usr/local/bin/mpicc")

set(AztecOO_Fortran_COMPILER "/opt/bin/armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+openmpi/arm-linux-gnueabihf-gfortran")
# Deprecated!
set(AztecOO_FORTRAN_COMPILER "/opt/bin/armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+openmpi/arm-linux-gnueabihf-gfortran") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/AztecOO build
## ---------------------------------------------------------------------------

## Give the build type
set(AztecOO_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(AztecOO_CXX_FLAGS [[ ]])

set(AztecOO_C_FLAGS [[  -O3 -fPIC -fopenmp ]])

set(AztecOO_Fortran_FLAGS [[ ]])
# Deprecated
set(AztecOO_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(AztecOO_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(AztecOO_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/workspace/destdir/lib")
set(AztecOO_BUILD_SHARED_LIBS "ON")

set(AztecOO_LINKER /opt/bin/armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+openmpi/arm-linux-gnueabihf-ld)
set(AztecOO_AR /opt/bin/armv7l-linux-gnueabihf-libgfortran5-cxx03-mpi+openmpi/arm-linux-gnueabihf-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(AztecOO_INSTALL_DIR "/workspace/destdir")

## List of package libraries
set(AztecOO_LIBRARIES AztecOO::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(AztecOO_MPI_LIBRARIES "")
set(AztecOO_MPI_LIBRARY_DIRS "")
set(AztecOO_MPI_INCLUDE_DIRS "")
set(AztecOO_MPI_EXEC "/opt/arm-linux-gnueabihf/arm-linux-gnueabihf/sys-root/usr/local/bin/mpiexec")
set(AztecOO_MPI_EXEC_MAX_NUMPROCS "4")
set(AztecOO_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(AztecOO_ENABLE_Epetra ON)
set(AztecOO_ENABLE_Teuchos ON)
set(AztecOO_ENABLE_y12m OFF)

# Exported cache variables
set(AztecOO_ENABLE_AZLU "")
set(HAVE_AZLU "OFF")
set(AztecOO_ENABLE_TEUCHOS_TIME_MONITOR "NO")
set(AZ_ENABLE_TIMEMONITOR "OFF")

# Include configuration of dependent packages
if (NOT TARGET Epetra::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Epetra/EpetraConfig.cmake")
endif()
if (NOT TARGET Teuchos::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../Teuchos/TeuchosConfig.cmake")
endif()

# Import AztecOO targets
include("${CMAKE_CURRENT_LIST_DIR}/AztecOOTargets.cmake")

# Standard TriBITS-compliant external package variables
set(AztecOO_IS_TRIBITS_COMPLIANT TRUE)
set(AztecOO_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(AztecOO_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(AztecOO_EXPORTED_PACKAGE_LIBS_NAMES "aztecoo")

foreach(libname IN LISTS AztecOO_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE AztecOO::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'AztecOO::${libname}', or better yet,"
      " 'AztecOO::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'AztecOO'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'AztecOO_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
